{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://fleet.ls.hereapi.com","description":"Generated server url"}],"tags":[{"name":"Route Matching V8","description":"Match GPS traces onto the most probably driven path"},{"name":"Geofencing V8","description":"The HERE Geofencing API can geofence asset positions against HERE Map objects or custom fence objects"},{"name":"Waypoints Sequence","description":"Compute best Sequence for Waypoints (Travelling Salesman Problem)"}],"paths":{"/v8/maps/attributes":{"get":{"tags":["Map Attributes V8"],"summary":"Simple and fast access to the rich HERE Map Content","description":"Simple and fast access to the rich HERE Map Content","operationId":"v8GetMapAttributes","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"map name. Optional for public HERE maps and for private BYOD maps. If not specified, the content of all maps containing the requested layer(s) is retrieved","required":false,"schema":{"type":"string"}},{"name":"layers","in":"query","description":"Comma separated list of layers to be searched. Layer names are not case sensitive. Both custom layers and Map Attribute core map layers are supported. Map Attribute layers divided by functional class, like ROAD_GEOM_FC1 ... FC5 can be selected by N, e.g. ROAD_GEOM_FCN. The maximum length of a layer name and the permitted characters can be looked up up in the service via v8/maps/serviceconfiguration. Via the attributes parameter only certain column attributes from a layer can be returned.","required":true,"schema":{"type":"string"}},{"name":"in","in":"query","description":"Spatial filtering. Supported are bbox, proximity, tile, corridor and all (full layer). \r\nThe format is &in=all or \r\n&in=bbox:{west longitude},{south latitude},{east longitude},{north latitude} or \r\n&in=proximity:latitude,longitude;r={radius} or \r\n&in=tile:{comma separated list of tile ids. The number of tile ids must match with the number of layers.} or \r\n&in=corridor:{comma separated WGS84 degree coordinates of corridor, for example:latitude 1,longitude 1,latitude 2,longitude 2 / encoded polyline string from Routing v8 response/ routeHandle string from Routing v8 response};r={radius}[;type=geoCoordinate(gc)/encodedPolyline(ep)/routeHandle(rh) }.\r\n When using routeHandle for corridor search an access token or apikey used for the router v8 service should be specified as Authorization header, else request will fail.","required":false,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"A SQL expression being evaluated for each geometry being returned from the specified layer listing. Columns value for the geometry are available as defined variables. When specified, only geometries where expression evaluates to true will be returned. Supported SQL filter operators are: '=', '!=', '>', '<', 'AND', 'OR', 'LIKE'. Example: filter=RATING > 3 AND NAME != 'MyPlace23' AND NAME LIKE 'FOOD%'. Parameter value must be url encoded when using special characters. This filter expression is applied to all geometries, so it can become slow for big layers. To avoid service overload, filter expressions must not exceed 100 characters of text.\nNote:\n1. The filter expression is applied to all objects across all specified layers. Therefore, it is most likely to work as intended when a single layer is requested.\n2. The filter expression is not compatible with tile search. Tile search only allows filtering results based on attribute columns. Column filtering can be used to reduce response size.","required":false,"schema":{"type":"string","default":""}},{"name":"link2stabletopologyid","in":"query","description":"When set to 1 then stable topology ids are returned in the response. The default value is 1.","required":false,"schema":{"type":"string","default":"1"}},{"name":"release","in":"query","description":"Map release quarter, e.g. 2015Q4, 161J0, 16153 or LATEST (= default) for the latest available map release quarter. Specifying a map release is strongly discouraged, because there is no guarantee how long old map releases are available, hence applications that specify a release might stop working when the release gets retired. To choose a (nearest to) specific snapshot of the live traffic speed record or archived weather layer, a UNIX timestamp (number of milliseconds since 1970) or a url encoded date in 2017-12-01T17:30:00+01:00 format can be passed.","required":false,"schema":{"type":"string"}},{"name":"meta","in":"query","description":"When set to 1 then meta info is returned in the response. The default value is 1.","required":false,"schema":{"type":"string","default":"1"}},{"name":"attributes","in":"query","description":"Semicolon separated list of column names (in uppercase) to specify which attributes shall appear in the result. If the request specifies several layers, then pass this for each layer, as a comma separated list. Default = all. F.e. if layers=LINK_ATTRIBUTE2_FCn,LINK_ATTRIBUTE_FCn,ROAD_GEOM_FCn are requested, then the columns can be restricted to only following attributes=PARKING_LOT_ROAD;CARPOOL_ROAD,PAVED;PRIVATE,BRIDGE;TUNNEL. Parking lot and carpool road are from layer LINK_ATTRIBUTE2_FCn, paved and private from LINK_ATTRIBUTE_FCn and bridge, tunnel from ROAD_GEOM_FCn layer.","required":false,"schema":{"type":"string"}},{"name":"transportMode","in":"query","description":"Mode of transport to be used for the route calculation: car, truck, pedestrian. Required when routeHandle is used to retrieve attributes in corridor, please specify the same transportMode which was used to get the route handle from v8 Routing API.","required":false,"schema":{"type":"string"}},{"name":"count","in":"query","description":"The number of geometries in the response. If more geometries satisfy the search/filter criteria, they will be suppressed. It is undefined, which of the matching geometries are returned, unless this parameter is used together with offset, which sorts the results set by geometry id.\nParameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter.\nThe maximum number of records supported within a single request can be looked up in the v8/maps/serviceconfiguration endpoint.\nThis parameter can only be used with &in=all filter to download either the custom layers or public static layers.","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"To paginate huge responses, this parameter specifies the lowest geometry id to be returned. If geometry ids are not known, then retrieve the first page using zero, and to retrieve subsequent pages then request highest geometry of current page + 1 (it doesn't matter whether this geometry id actually exists or not). Use this parameter together with count.\nParameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter.\nThis parameter can only be used with &in=all filter to download either the custom layers or public static layers.","required":false,"schema":{"type":"string"}},{"name":"acceptMissingLayers","in":"query","description":"Optional. If this parameter is set to true, user will get list of geometries from available layers, even if some of the requested layers are missing. If none of the requested layers are found, service returns empty list.","required":false,"schema":{"type":"string"}},{"name":"geom","in":"query","description":"local, full or none. Specifies the geometry representation in the result. Default = local. Local geometry is used for map display purposes, returning geometry pieces that cover the given search radius, bounding box or corridor polygon. Full geometry is used for interactive editing, where the original geometry is required. Full geometry can only be retrieved for custom layers, for map  None is used for applications like geofencing, which most of the time want to know only the ids of the geofence points/lines polygons they are in or near.","required":false,"schema":{"type":"string","default":"local"}},{"name":"ownerAppId","in":"query","description":"Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesV8Response"}}}}}},"post":{"tags":["Map Attributes V8"],"summary":"Simple and fast access to the rich HERE Map Content","description":"Simple and fast access to the rich HERE Map Content","operationId":"v8GetMapAttributes_1","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"map name. Optional for public HERE maps and for private BYOD maps. If not specified, the content of all maps containing the requested layer(s) is retrieved","required":false,"schema":{"type":"string"}},{"name":"layers","in":"query","description":"Comma separated list of layers to be searched. Layer names are not case sensitive. Both custom layers and Map Attribute core map layers are supported. Map Attribute layers divided by functional class, like ROAD_GEOM_FC1 ... FC5 can be selected by N, e.g. ROAD_GEOM_FCN. The maximum length of a layer name and the permitted characters can be looked up up in the service via v8/maps/serviceconfiguration. Via the attributes parameter only certain column attributes from a layer can be returned.","required":true,"schema":{"type":"string"}},{"name":"in","in":"query","description":"Spatial filtering. Supported are bbox, proximity, tile, corridor and all (full layer). \r\nThe format is &in=all or \r\n&in=bbox:{west longitude},{south latitude},{east longitude},{north latitude} or \r\n&in=proximity:latitude,longitude;r={radius} or \r\n&in=tile:{comma separated list of tile ids. The number of tile ids must match with the number of layers.} or \r\n&in=corridor:{comma separated WGS84 degree coordinates of corridor, for example:latitude 1,longitude 1,latitude 2,longitude 2 / encoded polyline string from Routing v8 response/ routeHandle string from Routing v8 response};r={radius}[;type=geoCoordinate(gc)/encodedPolyline(ep)/routeHandle(rh) }.\r\n When using routeHandle for corridor search an access token or apikey used for the router v8 service should be specified as Authorization header, else request will fail.","required":false,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"A SQL expression being evaluated for each geometry being returned from the specified layer listing. Columns value for the geometry are available as defined variables. When specified, only geometries where expression evaluates to true will be returned. Supported SQL filter operators are: '=', '!=', '>', '<', 'AND', 'OR', 'LIKE'. Example: filter=RATING > 3 AND NAME != 'MyPlace23' AND NAME LIKE 'FOOD%'. Parameter value must be url encoded when using special characters. This filter expression is applied to all geometries, so it can become slow for big layers. To avoid service overload, filter expressions must not exceed 100 characters of text.\nNote:\n1. The filter expression is applied to all objects across all specified layers. Therefore, it is most likely to work as intended when a single layer is requested.\n2. The filter expression is not compatible with tile search. Tile search only allows filtering results based on attribute columns. Column filtering can be used to reduce response size.","required":false,"schema":{"type":"string","default":""}},{"name":"link2stabletopologyid","in":"query","description":"When set to 1 then stable topology ids are returned in the response. The default value is 1.","required":false,"schema":{"type":"string","default":"1"}},{"name":"release","in":"query","description":"Map release quarter, e.g. 2015Q4, 161J0, 16153 or LATEST (= default) for the latest available map release quarter. Specifying a map release is strongly discouraged, because there is no guarantee how long old map releases are available, hence applications that specify a release might stop working when the release gets retired. To choose a (nearest to) specific snapshot of the live traffic speed record or archived weather layer, a UNIX timestamp (number of milliseconds since 1970) or a url encoded date in 2017-12-01T17:30:00+01:00 format can be passed.","required":false,"schema":{"type":"string"}},{"name":"meta","in":"query","description":"When set to 1 then meta info is returned in the response. The default value is 1.","required":false,"schema":{"type":"string","default":"1"}},{"name":"attributes","in":"query","description":"Semicolon separated list of column names (in uppercase) to specify which attributes shall appear in the result. If the request specifies several layers, then pass this for each layer, as a comma separated list. Default = all. F.e. if layers=LINK_ATTRIBUTE2_FCn,LINK_ATTRIBUTE_FCn,ROAD_GEOM_FCn are requested, then the columns can be restricted to only following attributes=PARKING_LOT_ROAD;CARPOOL_ROAD,PAVED;PRIVATE,BRIDGE;TUNNEL. Parking lot and carpool road are from layer LINK_ATTRIBUTE2_FCn, paved and private from LINK_ATTRIBUTE_FCn and bridge, tunnel from ROAD_GEOM_FCn layer.","required":false,"schema":{"type":"string"}},{"name":"transportMode","in":"query","description":"Mode of transport to be used for the route calculation: car, truck, pedestrian. Required when routeHandle is used to retrieve attributes in corridor, please specify the same transportMode which was used to get the route handle from v8 Routing API.","required":false,"schema":{"type":"string"}},{"name":"count","in":"query","description":"The number of geometries in the response. If more geometries satisfy the search/filter criteria, they will be suppressed. It is undefined, which of the matching geometries are returned, unless this parameter is used together with offset, which sorts the results set by geometry id.\nParameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter.\nThe maximum number of records supported within a single request can be looked up in the v8/maps/serviceconfiguration endpoint.\nThis parameter can only be used with &in=all filter to download either the custom layers or public static layers.","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"To paginate huge responses, this parameter specifies the lowest geometry id to be returned. If geometry ids are not known, then retrieve the first page using zero, and to retrieve subsequent pages then request highest geometry of current page + 1 (it doesn't matter whether this geometry id actually exists or not). Use this parameter together with count.\nParameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter.\nThis parameter can only be used with &in=all filter to download either the custom layers or public static layers.","required":false,"schema":{"type":"string"}},{"name":"acceptMissingLayers","in":"query","description":"Optional. If this parameter is set to true, user will get list of geometries from available layers, even if some of the requested layers are missing. If none of the requested layers are found, service returns empty list.","required":false,"schema":{"type":"string"}},{"name":"geom","in":"query","description":"local, full or none. Specifies the geometry representation in the result. Default = local. Local geometry is used for map display purposes, returning geometry pieces that cover the given search radius, bounding box or corridor polygon. Full geometry is used for interactive editing, where the original geometry is required. Full geometry can only be retrieved for custom layers, for map  None is used for applications like geofencing, which most of the time want to know only the ids of the geofence points/lines polygons they are in or near.","required":false,"schema":{"type":"string","default":"local"}},{"name":"ownerAppId","in":"query","description":"Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesV8Response"}}}}}}},"/v8/maps/attributes/segments":{"get":{"tags":["Map Attributes V8"],"summary":"Map Attributes for individual segments.","description":"The segments endpoint can be used to enrich multiple unconnected segments with HERE Map content attributes.","operationId":"v8GetMapAttributesForMultiSegment","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"Optional. Default: For public HERE maps all maps/regions containing the layer are returned, for private BYOD maps the layers from the DEFAULT map are returned","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma separated list of PDE layer names, to get link attributes along the route. Only link attribute layers (roughly those ending in _FC1, _FC2 ... ) are supported. Specify FCn to get the layers of all functional classes. Behind each layer name attributes can be listed, or (*) to get all. Example: &attributes=ROAD_GEOM_FCn(TUNNEL), SPEED_LIMITS_FCn (FROM_REF_SPEED_LIMIT, TO_REF_SPEED_LIMIT), ADAS_ATTRIB_FCn (SLOPES). A maximum of 32 layers can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"segmentRefs","in":"query","description":"Semicolon separated list of one or multiple disconnected topology segment references. Format of a SegmentRef is [Segment Identifier:]Segment Ref Id#Start Offset[..End Offset][,LAT,LON][,Remaining Time On Route,Functional Class]. Please use here:xs1:segment as the segment identifier for Japan segmentRefs and here:cm:segment for segmentRefs from rest of the world.  The input is typically retrieved from the Geocoding&Search (Reverse Geocoding) API. A maximum of 64 segment references can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesAlongPathResponse"}}}}}},"post":{"tags":["Map Attributes V8"],"summary":"Map Attributes for individual segments.","description":"The segments endpoint can be used to enrich multiple unconnected segments with HERE Map content attributes.","operationId":"v8GetMapAttributesForMultiSegment_1","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"Optional. Default: For public HERE maps all maps/regions containing the layer are returned, for private BYOD maps the layers from the DEFAULT map are returned","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma separated list of PDE layer names, to get link attributes along the route. Only link attribute layers (roughly those ending in _FC1, _FC2 ... ) are supported. Specify FCn to get the layers of all functional classes. Behind each layer name attributes can be listed, or (*) to get all. Example: &attributes=ROAD_GEOM_FCn(TUNNEL), SPEED_LIMITS_FCn (FROM_REF_SPEED_LIMIT, TO_REF_SPEED_LIMIT), ADAS_ATTRIB_FCn (SLOPES). A maximum of 32 layers can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"segmentRefs","in":"query","description":"Semicolon separated list of one or multiple disconnected topology segment references. Format of a SegmentRef is [Segment Identifier:]Segment Ref Id#Start Offset[..End Offset][,LAT,LON][,Remaining Time On Route,Functional Class]. Please use here:xs1:segment as the segment identifier for Japan segmentRefs and here:cm:segment for segmentRefs from rest of the world.  The input is typically retrieved from the Geocoding&Search (Reverse Geocoding) API. A maximum of 64 segment references can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesAlongPathResponse"}}}}}}},"/v8/maps/attributes/path":{"get":{"tags":["Map Attributes V8"],"summary":"Map Attributes along a route path.","description":"The path endpoint can be used to enrich a given continious route path with HERE Map content attributes.","operationId":"v8GetMapAttributesForAPath","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"Optional. Default: For public HERE maps all maps/regions containing the layer are returned, for private BYOD maps the layers from the DEFAULT map are returned","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma separated list of PDE layer names, to get link attributes along the route. Only link attribute layers (roughly those ending in _FC1, _FC2 ... ) are supported. Specify FCn to get the layers of all functional classes. Behind each layer name attributes can be listed, or (*) to get all. Example: &attributes=ROAD_GEOM_FCn(TUNNEL), SPEED_LIMITS_FCn (FROM_REF_SPEED_LIMIT, TO_REF_SPEED_LIMIT), ADAS_ATTRIB_FCn (SLOPES). A maximum of 32 layers can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"segmentRefs","in":"query","description":"Semicolon seperated list of consecutive topology segment references. Supported segment reference input are: Segment References in shortened or full notation, links or flexiblePolyline. The input is typically retrieved from the Route Matching, Routing v8 API. A shortened segment reference looks like: $1:864623000#+0..1 where $1 the provider part. A full segment reference looks like: here:cm:segment:92174667#0.517718..0.785. Input methods like links, flexiblePolyline or segment input cannot be mixed with each other.","required":false,"schema":{"type":"string"}},{"name":"links","in":"query","description":"Link IDs or Full notation to define the path. Cannot be mixed with parameter segments, flexiblePolyline.","required":false,"schema":{"type":"string"}},{"name":"flexiblePolyline","in":"query","description":"Line string in [Flexible Polyline](https://github.com/heremaps/flexible-polyline) format. Cannot be mixed with parameter segments, links.","required":false,"schema":{"type":"string"},"example":"A05xgKuy2xCx9B7vUl0OhnR54EqSzpEl-HxjD3pBiGnyGi2CvwFsgD3nD4vB6e"},{"name":"transportMode","in":"query","description":"Optional, default=car. Relevant if 'applicable speed limits layer'. Supported vehicle types: bdouble, bicycle, bus, car, carHOV, emergency, motorcycle, pedestrian, roadtrain, taxi, truck, motorhome","required":false,"schema":{"type":"string"}},{"name":"departure","in":"query","description":"Format: now, yyyy-MM-dd'T'HH:mm:ss or yyyy-MM-dd'T'HH:mm:ssX. If no timezone is specified, then the local timezone at the route start link is used. Default: Ignore all time dependent access restrictions.","required":false,"schema":{"type":"string"}},{"name":"trailerType","in":"query","description":"Trailer type in a vehicle + trailer combination. Supported values: 0 - None (Default), 1 - Caravan, 2 - Trailer, 3 - RVTrailer, 4 - BoatTrailer. Applicable for toll cost calculation and recreational vehicle restrictions.","required":false,"schema":{"type":"string"}},{"name":"vehicleNumberAxles","in":"query","description":"Number of vehicle axles excluding trailer axles. Applicable for toll cost calculation and country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"trailerNumberAxles","in":"query","description":"Number of trailer axles. Applicable for toll cost calculation and for country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"hybrid","in":"query","description":"Type of hybrid vehicle. Supported values: 1 - fuel+electric, 0 - otherwise (Default). Applicable for toll cost calculation.","required":false,"schema":{"type":"string"}},{"name":"emissionType","in":"query","description":"Emission type category of the vehicle. supported values: 1 - EURO I, 2 - EURO II, 3 - EURO III, 4 - EURO IV, 5 - EURO V, 6 - EURO VI, 7 - EURO EEV, 8 - Electric Vehicles, 9 - EURO II with PRC (deprecated), 10 - EURO III with PRC (deprecated), 11 - EURO VII.\n* Applicable for toll cost calculation and environmental zone restrictions.\n* When emissionType is not specified it defaults to 5.","required":false,"schema":{"type":"string"}},{"name":"co2EmissionClass","in":"query","description":"CO2 emission class of the vehicle. Supported values: 1 - Emission class 1, 2 - Emission class 2, 3 - Emission class 3, 4 - Emission class 4, 5 - Emission class 5.\n* Applicable for toll cost calculation only. When co2EmissionClass is not specified then it defaults to 1.\n* Providing invalid combination of emissionType and co2EmissionClass in request may result in incorrect toll costs.","required":false,"schema":{"type":"string"}},{"name":"trailerHeight","in":"query","description":"Actual height of the trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. For toll cost calculation only, not considered for route path creation (use height parameter).","required":false,"schema":{"type":"string"}},{"name":"vehicleWeight","in":"query","description":"Actual total weight of vehicle incl. payload, but not trailers' weight or payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also limitedWeight. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"vehicleWeightClass","in":"query","description":"Used in routeMatch=0|1|2. Legal maximum weight limit of vehicle incl. payload and trailers. Also including their payload as a total. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. Applicable for truck restrictions and requests for APPLICABLE_SPEED_LIMIT only.","required":false,"schema":{"type":"string"}},{"name":"disabledEquipped","in":"query","description":"Vehicle is signposted to to carry disabled people. Accepted values are: 1 - vehicle equipped to carry disabled people, 0 - otherwise (default). Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"passengersCount","in":"query","description":"Actual number of passengers in vehicle. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"tiresCount","in":"query","description":"Total number of tires from vehicle, including tires on the base vehicle and any attached trailers. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"commercial","in":"query","description":"Vehicle use has commercial purpose. Accepted values are: 1 - vehicle registered for commercial use, 0 - no commercial use (Default: not specified). Applicable for toll cost calculation, environmental zone regulations and delivery-only zones.","required":false,"schema":{"type":"string"}},{"name":"heightAbove1stAxle","in":"query","description":"Height of the vehicle above its first axle. Example: `350cm` or `3.5m` or `138in`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"fuelType","in":"query","description":"Defines the fuel powering the vehicle. Supported values: Diesel, Petrol, LPG, LNG, CNG, Ethanol, Propane, Hydrogen, Electric, LPG - Liquefied Petroleum Gas,  LNG - Liquefied Natural Gas).\nApplicable for environmental zone restrictions, toll cost calculation and consumption based routing for Electric vehicles.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxleGroup","in":"query","description":"Semicolon separated list of vehicle weight [tons] per axle group. Each item is a tuple (name,value). Supported values: drive, single, tandem, triple, quad, quint. Example: `&weightPerAxleGroup=drive:12;single:11;tandem:18` .","required":false,"schema":{"type":"string"}},{"name":"trailerWeight","in":"query","description":"Actual total weight of trailers with their payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also parameter `limitedWeight`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"trailersCount","in":"query","description":"Number of trailers or semi-trailers. For toll cost and truck restrictions.\n* Supported values: 0 - no trailer (default), 1 - one or more trailers, 2 - two or more trailers, 3 - three or more trailers, 4 - one or more semi-trailers.\n* `&trailersCount=4` is not supported for Waypoint Sequencing.","required":false,"schema":{"type":"string"}},{"name":"height","in":"query","description":"Actual height of the overall rigid/semi truck including trailers. Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions and toll cost.","required":false,"schema":{"type":"string"}},{"name":"limitedWeight","in":"query","description":"Actual total weight of vehicle incl. payload and trailers/caravan including their payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* Applicable for truck restrictions, speed profile selection, toll cost calculation and environmental zone restrictions. See also parameter `vehicleWeight`.\n* Note that country wide weight restrictions depend on the length, width, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"shippedHazardousGoods","in":"query","description":"Comma separated list from supported values: `explosive`, `gas`, `flammable`, `combustible`, `organic`, `poison`, `radioActive`, `corrosive`, `poisonousInhalation`, `harmfulToWater`, `other`, `allhazardousGoods`, `explosiveFlammable`.\n* Applicable for toll cost calculation and truck restrictions.\n* For toll cost only values `explosive` and `other` are supported.\n* For Waypoints Sequence values `allhazardousGoods` and `explosiveFlammable` are not supported.","required":false,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Length of the vehicle (including potential trailers).\n* Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `1250cm` or `12.5m` or `492in`.\n* Applicable for toll cost calculation and truck restrictions.\n* Note that country wide length restrictions depend on the limitedWeight, width, number of axles and trailers as well, so it might be necessary to specify these parameters  as well.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxle","in":"query","description":"Actual total weight per axle, incl. payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* For Waypoints Sequence only supported unit is kg, without explicitly specifying unit.\n* Applicable for toll cost calculation and truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"width","in":"query","description":"Width of the vehicle and trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions. Note that country wide width restrictions depend on the limitedWeight, length, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"tunnelCategory","in":"query","description":"Defines the tunnel categories the truck must NOT use. Supported values: `B`, `C`, `D` or `E`.\n* `A` tunnels have no restrictions.\n* `E` tunnels have most restrictions.\n* Example: If `&tunnelCategory=C` is specified, then route will use `A` and `B` tunnels but not `C`, `D` or `E`.","required":false,"schema":{"type":"string"}},{"name":"timeout","in":"query","description":"Operation must be finished within this amount of milliseconds. Default 50000. Maximum 50000.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesAlongPathResponse"}}}}}},"post":{"tags":["Map Attributes V8"],"summary":"Map Attributes along a route path.","description":"The path endpoint can be used to enrich a given continious route path with HERE Map content attributes.","operationId":"v8GetMapAttributesForAPath_1","parameters":[{"name":"app_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"app_code","in":"query","required":false,"schema":{"type":"string"}},{"name":"mapName","in":"query","description":"Optional. Default: For public HERE maps all maps/regions containing the layer are returned, for private BYOD maps the layers from the DEFAULT map are returned","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma separated list of PDE layer names, to get link attributes along the route. Only link attribute layers (roughly those ending in _FC1, _FC2 ... ) are supported. Specify FCn to get the layers of all functional classes. Behind each layer name attributes can be listed, or (*) to get all. Example: &attributes=ROAD_GEOM_FCn(TUNNEL), SPEED_LIMITS_FCn (FROM_REF_SPEED_LIMIT, TO_REF_SPEED_LIMIT), ADAS_ATTRIB_FCn (SLOPES). A maximum of 32 layers can be requested per request.","required":false,"schema":{"type":"string"}},{"name":"segmentRefs","in":"query","description":"Semicolon seperated list of consecutive topology segment references. Supported segment reference input are: Segment References in shortened or full notation, links or flexiblePolyline. The input is typically retrieved from the Route Matching, Routing v8 API. A shortened segment reference looks like: $1:864623000#+0..1 where $1 the provider part. A full segment reference looks like: here:cm:segment:92174667#0.517718..0.785. Input methods like links, flexiblePolyline or segment input cannot be mixed with each other.","required":false,"schema":{"type":"string"}},{"name":"links","in":"query","description":"Link IDs or Full notation to define the path. Cannot be mixed with parameter segments, flexiblePolyline.","required":false,"schema":{"type":"string"}},{"name":"flexiblePolyline","in":"query","description":"Line string in [Flexible Polyline](https://github.com/heremaps/flexible-polyline) format. Cannot be mixed with parameter segments, links.","required":false,"schema":{"type":"string"},"example":"A05xgKuy2xCx9B7vUl0OhnR54EqSzpEl-HxjD3pBiGnyGi2CvwFsgD3nD4vB6e"},{"name":"transportMode","in":"query","description":"Optional, default=car. Relevant if 'applicable speed limits layer'. Supported vehicle types: bdouble, bicycle, bus, car, carHOV, emergency, motorcycle, pedestrian, roadtrain, taxi, truck, motorhome","required":false,"schema":{"type":"string"}},{"name":"departure","in":"query","description":"Format: now, yyyy-MM-dd'T'HH:mm:ss or yyyy-MM-dd'T'HH:mm:ssX. If no timezone is specified, then the local timezone at the route start link is used. Default: Ignore all time dependent access restrictions.","required":false,"schema":{"type":"string"}},{"name":"trailerType","in":"query","description":"Trailer type in a vehicle + trailer combination. Supported values: 0 - None (Default), 1 - Caravan, 2 - Trailer, 3 - RVTrailer, 4 - BoatTrailer. Applicable for toll cost calculation and recreational vehicle restrictions.","required":false,"schema":{"type":"string"}},{"name":"vehicleNumberAxles","in":"query","description":"Number of vehicle axles excluding trailer axles. Applicable for toll cost calculation and country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"trailerNumberAxles","in":"query","description":"Number of trailer axles. Applicable for toll cost calculation and for country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"hybrid","in":"query","description":"Type of hybrid vehicle. Supported values: 1 - fuel+electric, 0 - otherwise (Default). Applicable for toll cost calculation.","required":false,"schema":{"type":"string"}},{"name":"emissionType","in":"query","description":"Emission type category of the vehicle. supported values: 1 - EURO I, 2 - EURO II, 3 - EURO III, 4 - EURO IV, 5 - EURO V, 6 - EURO VI, 7 - EURO EEV, 8 - Electric Vehicles, 9 - EURO II with PRC (deprecated), 10 - EURO III with PRC (deprecated), 11 - EURO VII.\n* Applicable for toll cost calculation and environmental zone restrictions.\n* When emissionType is not specified it defaults to 5.","required":false,"schema":{"type":"string"}},{"name":"co2EmissionClass","in":"query","description":"CO2 emission class of the vehicle. Supported values: 1 - Emission class 1, 2 - Emission class 2, 3 - Emission class 3, 4 - Emission class 4, 5 - Emission class 5.\n* Applicable for toll cost calculation only. When co2EmissionClass is not specified then it defaults to 1.\n* Providing invalid combination of emissionType and co2EmissionClass in request may result in incorrect toll costs.","required":false,"schema":{"type":"string"}},{"name":"trailerHeight","in":"query","description":"Actual height of the trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. For toll cost calculation only, not considered for route path creation (use height parameter).","required":false,"schema":{"type":"string"}},{"name":"vehicleWeight","in":"query","description":"Actual total weight of vehicle incl. payload, but not trailers' weight or payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also limitedWeight. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"vehicleWeightClass","in":"query","description":"Used in routeMatch=0|1|2. Legal maximum weight limit of vehicle incl. payload and trailers. Also including their payload as a total. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. Applicable for truck restrictions and requests for APPLICABLE_SPEED_LIMIT only.","required":false,"schema":{"type":"string"}},{"name":"disabledEquipped","in":"query","description":"Vehicle is signposted to to carry disabled people. Accepted values are: 1 - vehicle equipped to carry disabled people, 0 - otherwise (default). Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"passengersCount","in":"query","description":"Actual number of passengers in vehicle. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"tiresCount","in":"query","description":"Total number of tires from vehicle, including tires on the base vehicle and any attached trailers. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"commercial","in":"query","description":"Vehicle use has commercial purpose. Accepted values are: 1 - vehicle registered for commercial use, 0 - no commercial use (Default: not specified). Applicable for toll cost calculation, environmental zone regulations and delivery-only zones.","required":false,"schema":{"type":"string"}},{"name":"heightAbove1stAxle","in":"query","description":"Height of the vehicle above its first axle. Example: `350cm` or `3.5m` or `138in`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"fuelType","in":"query","description":"Defines the fuel powering the vehicle. Supported values: Diesel, Petrol, LPG, LNG, CNG, Ethanol, Propane, Hydrogen, Electric, LPG - Liquefied Petroleum Gas,  LNG - Liquefied Natural Gas).\nApplicable for environmental zone restrictions, toll cost calculation and consumption based routing for Electric vehicles.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxleGroup","in":"query","description":"Semicolon separated list of vehicle weight [tons] per axle group. Each item is a tuple (name,value). Supported values: drive, single, tandem, triple, quad, quint. Example: `&weightPerAxleGroup=drive:12;single:11;tandem:18` .","required":false,"schema":{"type":"string"}},{"name":"trailerWeight","in":"query","description":"Actual total weight of trailers with their payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also parameter `limitedWeight`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"trailersCount","in":"query","description":"Number of trailers or semi-trailers. For toll cost and truck restrictions.\n* Supported values: 0 - no trailer (default), 1 - one or more trailers, 2 - two or more trailers, 3 - three or more trailers, 4 - one or more semi-trailers.\n* `&trailersCount=4` is not supported for Waypoint Sequencing.","required":false,"schema":{"type":"string"}},{"name":"height","in":"query","description":"Actual height of the overall rigid/semi truck including trailers. Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions and toll cost.","required":false,"schema":{"type":"string"}},{"name":"limitedWeight","in":"query","description":"Actual total weight of vehicle incl. payload and trailers/caravan including their payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* Applicable for truck restrictions, speed profile selection, toll cost calculation and environmental zone restrictions. See also parameter `vehicleWeight`.\n* Note that country wide weight restrictions depend on the length, width, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"shippedHazardousGoods","in":"query","description":"Comma separated list from supported values: `explosive`, `gas`, `flammable`, `combustible`, `organic`, `poison`, `radioActive`, `corrosive`, `poisonousInhalation`, `harmfulToWater`, `other`, `allhazardousGoods`, `explosiveFlammable`.\n* Applicable for toll cost calculation and truck restrictions.\n* For toll cost only values `explosive` and `other` are supported.\n* For Waypoints Sequence values `allhazardousGoods` and `explosiveFlammable` are not supported.","required":false,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Length of the vehicle (including potential trailers).\n* Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `1250cm` or `12.5m` or `492in`.\n* Applicable for toll cost calculation and truck restrictions.\n* Note that country wide length restrictions depend on the limitedWeight, width, number of axles and trailers as well, so it might be necessary to specify these parameters  as well.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxle","in":"query","description":"Actual total weight per axle, incl. payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* For Waypoints Sequence only supported unit is kg, without explicitly specifying unit.\n* Applicable for toll cost calculation and truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"width","in":"query","description":"Width of the vehicle and trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions. Note that country wide width restrictions depend on the limitedWeight, length, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"tunnelCategory","in":"query","description":"Defines the tunnel categories the truck must NOT use. Supported values: `B`, `C`, `D` or `E`.\n* `A` tunnels have no restrictions.\n* `E` tunnels have most restrictions.\n* Example: If `&tunnelCategory=C` is specified, then route will use `A` and `B` tunnels but not `C`, `D` or `E`.","required":false,"schema":{"type":"string"}},{"name":"timeout","in":"query","description":"Operation must be finished within this amount of milliseconds. Default 50000. Maximum 50000.","required":false,"schema":{"type":"string"}},{"name":"apiKey","in":"query","description":"A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html .\nOther authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/MapAttributesAlongPathResponse"}}}}}}},"/v8/match/routelinks":{"get":{"tags":["Route Matching V8"],"summary":"Match GPS traces to get the most probably driven path. Use &routeMatch=1 for default route matching behavior. Compatible with version 2 route matching.","operationId":"matchRouteV8compatibilityToV2GET","parameters":[{"name":"routeMatch","in":"query","description":"For route matching, use parameter value `1`. Used to select the operational mode of the Route Matching algorithm. Supported values are 0|1|2|4.\n* 0 - Default value - DEPRECATED. Computes a legal route that goes through all waypoints. This mode is deprecated. Use HERE Routing API v8 instead.\n* 1 - Route Matching mode - treats waypoints (or a trace file from the POST request body) as a GPS trace and returns the most probable matched route along this trace.\n* 2 - ETA Tracking mode - Available only for POST requests. Computes the route based on the specified waypoints. Additionally, it uses the GPS trace from the request body to detect rest stops or breaks taken by the driver as well as reached or skipped waypoints. To get maneuvers for a matched route, set `&legAttributes=mn`.\n* 4 - eHorizon mode - In development - not feature-complete. Returns an additional eHorizon, which is a configurable path ahead of the calculated or matched route.\n* 5 - Combined mode - This mode combines `routeMatch=1` and `routeMatch=4`.\n\n**Note:** Using ETA Tracking mode triggers an additional transaction - keep in mind for cost tracking.","required":false,"schema":{"type":"string"}},{"name":"mode","in":"query","description":"Vehicle type.\n* Supported vehicle types : bdouble, bicycle, bus, car, carHOV, emergency, motorcycle, pedestrian, roadtrain, taxi, truck.","required":true,"schema":{"type":"string"}},{"name":"legal","in":"query","description":"Used in `routeMatch=1|2`. Enforces a legal route with respect to the following route condition types (comma separated list): access, gate, oneway, thrutraf, turn.\n* access: use links only allowed for the vehicle type (incl. truck measures).\n* gate: don't traverse gates.\n* oneway: don't drive links into forbidden direction.\n* throughTraffic: don't enter/leave 'no through traffic' zones.\n* turn: don't turn/u-turn illegally.\n* Passing all of them yields a legal path as from a route matching perspective.\n* Default value: avoid illegal maneuvers, but use them if the trace obviously contains them. If matched, returns respective warnings.","required":false,"schema":{"type":"string"}},{"name":"traverseGates","in":"query","description":"Used in `routeMatch=0|1|2`. If set to `true`, assumes the driver has keys/permissions to traverse gates.\n* Supported values are: `true`, `false' or `airlineDistanceInMeters,entryPenaltyInSec`.\n* `traverseGates=airlineDistanceInMeters,entryPenaltyInSec` - Only gates within the given airline distance in meters around a waypoint can be traversed. A one-time entry penalty of specified number of seconds is added to the internal cost calculation of the route. \n* `entryPenaltyInSec` must be between 0 and 2 hours (7200 sec).\n* `entryPenaltyInSec` can be used to tune the algorithm to either choose passing through the gate or use potential alternative road ways to reach destinations behind a gate.\n* Default value: `false` - don't traverse any gates unless vehicle type is `emergency`. `* Gate traversal violation in routeMatch=1 mode are reported as warning.","required":false,"schema":{"type":"string"}},{"name":"oneway","in":"query","description":"Used in `routeMatch=0|2`. Allows to control oneway traffic violation behavior. Default - obey all oneways.\n* This parameter is supported only for vehicle types `bicycle` or `emergency`.\n* Format - `penalty:penaltyFactor`,. `penalty:0.5` - allows oneway traffic violation if the time benefit is more than 0.5 second/meter.\n* For bicycle recommended `penaltyFactor` value 0.125, for emergency 0.5.\n* Oneway traffic violations in `routeMatch=1` mode are reported as warnings.","required":false,"schema":{"type":"string"}},{"name":"mapMatchRadius","in":"query","description":"Maximum adaptive map match search radius (in meters) that will be applied to each waypoint.\n* If specified, overrides the `transitRadius` value set for waypoints and the default maximum adaptive search radius.\n* For routing (`routeMatch=0`), the default value is: 1600m, max limit is 5000m.\n* In `routeMatch=1` mode this parameter can be used to configure the radius that is used to match trace points to the road network, with the default value of 300m and the max limit of 10000m.","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma-separated list of Map Attributes layer names used to get additional attributes along the route.\n* Only link-based attribute layers (roughly those ending in _FC1, _FC2, etc. and _FCn) are supported.\n* Specify layer with `_FCn` (like `SPEED_LIMITS_FCn`), to get content from respective functional class layer corresponding to the link.\n* After each layer name, comma separated list of individual layer attributes can be listed within brackets. Use an asterisk (*) to get all layer attributes.\n* Example: `&attributes=LINK_ATTRIBUTE_FCn(*),ROAD_GEOM_FCn(TUNNEL),SPEED_LIMITS_FCn(FROM_REF_SPEED_LIMIT,TO_REF_SPEED_LIMIT)`.\n* A maximum of 32 layers can be requested at once.","required":false,"schema":{"type":"string"}},{"name":"tollVehicleType","in":"query","description":"Vehicle type for toll calculation.\n* Supported values: 1 - Motorcycle, 2 - Auto, 3 - Truck, 4 - Motor home, 5 - Minibus, 6 - Bus, 7 - Motorcycle Sidecar(EU), 8 - Tricycle(EU), 9 - Delivery Truck(EU+India), 10 - Snowmobile(US), 11 - Pick-up (US+India), 12 - Tractor (US+India), 13 = Taxi, 14 - HCM/EME (Heavy Construction Machinery/Earth Moving Equipment - India)\n* Use if applicable toll should also be calculated for the route in routeMatch=0|2 mode.\n* Or use if applicable toll should be calculated for the matched route in routeMatch=1 mode.","required":false,"schema":{"type":"string"}},{"name":"rollups","in":"query","description":"Used in `routeMatch=0|1|2`. Comma separated list of rollups (groupings, aggregation levels) for the toll cost response. Currently supported values are:\n* `none` - toll cost details per link,\n* `total` - overall total toll cost only,\n* `tollsys` - toll cost summary per toll system,\n* `country` - summary per country,\n* `country;tollsys` - summary per country and toll system.\n* Example: `&rollups=none,country;tollsys,country` - returns the individual link level cost details and two different summaries.","required":false,"schema":{"type":"string"}},{"name":"tollPass","in":"query","description":"Used in routeMatch=0|1|2. Comma separated list of owned passes for toll cost calculation.\n* Allows traversal of 'transponder-only' toll booths, allows cost free traversal of certain toll sections and allows using cheaper prices for transponder/pass owners.\n* Supported values: `Senior_Pass`, `transponder` (meaning the vehicle has all transponders), `allPasses` (has all required passes), `Annual` (meaning the vehicle has all annual passes), `Nr_of_Days` (has all passes valid for number of days), `Nr_of_Months` (has all passes valid for number of months), `AutoPass`, `SunPass`, `E-Z Pass` (last 2 are examples for real toll transponders).\n* Can also list toll system ids or toll booth condition ids.","required":false,"schema":{"type":"string"}},{"name":"currency","in":"query","description":"Three letter ISO currency symbol. Required if toll cost must be added up across different currencies and/or be added to driver/vehicle/fuel cost in different currencies.","required":false,"schema":{"type":"string"}},{"name":"departure","in":"query","description":"Specifies the time of departure for routeMatch=0|2.\n* Format: `now` or `yyyy-MM-dd'T'HH:mm:ss` or `yyyy-MM-dd'T'HH:mm:ssX`.\n* Example: `&departure=now` or `&departure=2024-10-27T11:52:50`\n* If no timezone is specified, then the local timezone at the route start link is used.\n* In routeMatch=2, the departure time for the route part is replaced by the last available GPS time from the trace.\n* If no departure parameter is set, all time dependent access restrictions are ignored.","required":false,"schema":{"type":"string"}},{"name":"arrival","in":"query","description":"Only applicable when routeMatch=0. Format like parameter `departure`.\n* If an arrival time is specified, the estimated departure time of a journey is returned in the response.\n* Does not work if a departure time is specified in addition.\n* Note that toll cost is not considered when arrival time is specified.","required":false,"schema":{"type":"string"}},{"name":"trafficIncidents","in":"query","description":"Used in routeMatch=0|2. Set to `true` or `false`, to enable/disable usage of traffic incidents for route estimation for complete length of the route. Default is `false` - traffic incidents are disabled.\n\n**Note:** Usage of traffic incidents will impact the routing response time, so use only if necessary.","required":false,"schema":{"type":"string"}},{"name":"maxSpeed","in":"query","description":"Used in routeMatch=0|1|2. Maximum speed allowed for the whole route.\n* Supported units are kmh (kilometres per hour), mph (miles per hour) and mps (metres per second).\n* If no unit is provided, kmh will be used as default unit.\n* Examples: `&maxSpeed=90` or `&maxSpeed=90kmh` or `&maxSpeed=55.92mph` or `&maxSpeed=25mps` .","required":false,"schema":{"type":"string"}},{"name":"alternatives","in":"query","description":"Only for routeMatch=0. Maximum number of alternative route options to return. Can return less or no alternatives. Only returns route alternatives that significantly differ from the best route but are not much more costly.","required":false,"schema":{"type":"string"}},{"name":"alignToGpsTime","in":"query","description":"Only for routeMatch=1|2. Route matching aligns the driving time to the GPS timestamps in trace (if available). Supported values: 0|1. This feature is enabled by default (1), set the value 0 to disable it.","required":false,"schema":{"type":"string"}},{"name":"speedFcCat","in":"query","description":"Used in routeMatch=0|2. Comma-separated list of speeds in km/h driven per functional road class (1-5 + Virtual Connections VC) and speed category (1-8), for example, FC1-SC1,FC1-SC2,...,FC1-SC8;FC2-SC1,FC2-SC2,...;...;VC-SC1,FC-SC2,...VC-SC8.\n* Functional classes are semicolon-separated.\n* Can contain empty entries when there is no change to default ones used in the service, for example, 80,76,,,,,,;,,,54,46,,,;....\n* Overrides router's default driven speed values.\n* Predefined profiles can be activated using these values: `car`, `lightTruck`, `mediumTruck`,`heavyTruck`, `limitedWeight`, `learnIdSpeed`. \n* Example: `&speedFcCat=80,76,68,,,,,;,,,,,,,;,,,,,,,;,,,,,,,;,,,,,,,;,,,,,,,` - change the speed on FC1 roads for speed category 1 to 3 .","required":false,"schema":{"type":"string"}},{"name":"mapMatchTolerance","in":"query","description":"Used in routeMatch=0|2. Map match tolerance (in meter) that will be applied to each way point. Routing can reach the waypoint on all links that are in the specified radius vicinity around the waypoint. Default 3.0m.","required":false,"schema":{"type":"string"}},{"name":"ignoreZeroSpeedPoints","in":"query","description":"Used in routeMatch=1|2. Option to specify that trace points without a provided speed value are ignored for matching. Default = consider all points. 1 = ignore trace points that have zero speed (only in traces that provide speed but not time).","required":false,"schema":{"type":"string"}},{"name":"wpDist","in":"query","description":"Used in routeMatch=1|2. For enabling calculation of spatial distance between tracepoints. Supported values: 0|1|2.\n* 0 - Default value, feature is disabled.\n* 1 - return spatial distance between matched trace points.\n* 2 - return spatial distance between original trace points","required":false,"schema":{"type":"string"}},{"name":"trailerType","in":"query","description":"Trailer type in a vehicle + trailer combination. Supported values: 0 - None (Default), 1 - Caravan, 2 - Trailer, 3 - RVTrailer, 4 - BoatTrailer. Applicable for toll cost calculation and recreational vehicle restrictions.","required":false,"schema":{"type":"string"}},{"name":"vehicleNumberAxles","in":"query","description":"Number of vehicle axles excluding trailer axles. Applicable for toll cost calculation and country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"trailerNumberAxles","in":"query","description":"Number of trailer axles. Applicable for toll cost calculation and for country wide truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"hybrid","in":"query","description":"Type of hybrid vehicle. Supported values: 1 - fuel+electric, 0 - otherwise (Default). Applicable for toll cost calculation.","required":false,"schema":{"type":"string"}},{"name":"emissionType","in":"query","description":"Emission type category of the vehicle. supported values: 1 - EURO I, 2 - EURO II, 3 - EURO III, 4 - EURO IV, 5 - EURO V, 6 - EURO VI, 7 - EURO EEV, 8 - Electric Vehicles, 9 - EURO II with PRC (deprecated), 10 - EURO III with PRC (deprecated), 11 - EURO VII.\n* Applicable for toll cost calculation and environmental zone restrictions.\n* When emissionType is not specified it defaults to 5.","required":false,"schema":{"type":"string"}},{"name":"co2EmissionClass","in":"query","description":"CO2 emission class of the vehicle. Supported values: 1 - Emission class 1, 2 - Emission class 2, 3 - Emission class 3, 4 - Emission class 4, 5 - Emission class 5.\n* Applicable for toll cost calculation only. When co2EmissionClass is not specified then it defaults to 1.\n* Providing invalid combination of emissionType and co2EmissionClass in request may result in incorrect toll costs.","required":false,"schema":{"type":"string"}},{"name":"trailerHeight","in":"query","description":"Actual height of the trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. For toll cost calculation only, not considered for route path creation (use height parameter).","required":false,"schema":{"type":"string"}},{"name":"vehicleWeight","in":"query","description":"Actual total weight of vehicle incl. payload, but not trailers' weight or payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also limitedWeight. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"vehicleWeightClass","in":"query","description":"Used in routeMatch=0|1|2. Legal maximum weight limit of vehicle incl. payload and trailers. Also including their payload as a total. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. Applicable for truck restrictions and requests for APPLICABLE_SPEED_LIMIT only.","required":false,"schema":{"type":"string"}},{"name":"disabledEquipped","in":"query","description":"Vehicle is signposted to to carry disabled people. Accepted values are: 1 - vehicle equipped to carry disabled people, 0 - otherwise (default). Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"passengersCount","in":"query","description":"Actual number of passengers in vehicle. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"tiresCount","in":"query","description":"Total number of tires from vehicle, including tires on the base vehicle and any attached trailers. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"commercial","in":"query","description":"Vehicle use has commercial purpose. Accepted values are: 1 - vehicle registered for commercial use, 0 - no commercial use (Default: not specified). Applicable for toll cost calculation, environmental zone regulations and delivery-only zones.","required":false,"schema":{"type":"string"}},{"name":"heightAbove1stAxle","in":"query","description":"Height of the vehicle above its first axle. Example: `350cm` or `3.5m` or `138in`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"fuelType","in":"query","description":"Defines the fuel powering the vehicle. Supported values: Diesel, Petrol, LPG, LNG, CNG, Ethanol, Propane, Hydrogen, Electric, LPG - Liquefied Petroleum Gas,  LNG - Liquefied Natural Gas).\nApplicable for environmental zone restrictions, toll cost calculation and consumption based routing for Electric vehicles.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxleGroup","in":"query","description":"Semicolon separated list of vehicle weight [tons] per axle group. Each item is a tuple (name,value). Supported values: drive, single, tandem, triple, quad, quint. Example: `&weightPerAxleGroup=drive:12;single:11;tandem:18` .","required":false,"schema":{"type":"string"}},{"name":"trailerWeight","in":"query","description":"Actual total weight of trailers with their payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: `7.5t` or `7500kg` or `16500lbs`. See also parameter `limitedWeight`. Applicable for toll cost calculation only.","required":false,"schema":{"type":"string"}},{"name":"trailersCount","in":"query","description":"Number of trailers or semi-trailers. For toll cost and truck restrictions.\n* Supported values: 0 - no trailer (default), 1 - one or more trailers, 2 - two or more trailers, 3 - three or more trailers, 4 - one or more semi-trailers.\n* `&trailersCount=4` is not supported for Waypoint Sequencing.","required":false,"schema":{"type":"string"}},{"name":"height","in":"query","description":"Actual height of the overall rigid/semi truck including trailers. Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions and toll cost.","required":false,"schema":{"type":"string"}},{"name":"limitedWeight","in":"query","description":"Actual total weight of vehicle incl. payload and trailers/caravan including their payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* Applicable for truck restrictions, speed profile selection, toll cost calculation and environmental zone restrictions. See also parameter `vehicleWeight`.\n* Note that country wide weight restrictions depend on the length, width, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"shippedHazardousGoods","in":"query","description":"Comma separated list from supported values: `explosive`, `gas`, `flammable`, `combustible`, `organic`, `poison`, `radioActive`, `corrosive`, `poisonousInhalation`, `harmfulToWater`, `other`, `allhazardousGoods`, `explosiveFlammable`.\n* Applicable for toll cost calculation and truck restrictions.\n* For toll cost only values `explosive` and `other` are supported.\n* For Waypoints Sequence values `allhazardousGoods` and `explosiveFlammable` are not supported.","required":false,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Length of the vehicle (including potential trailers).\n* Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `1250cm` or `12.5m` or `492in`.\n* Applicable for toll cost calculation and truck restrictions.\n* Note that country wide length restrictions depend on the limitedWeight, width, number of axles and trailers as well, so it might be necessary to specify these parameters  as well.","required":false,"schema":{"type":"string"}},{"name":"weightPerAxle","in":"query","description":"Actual total weight per axle, incl. payload.\n* Accepted value units are t (tons), kg (kilograms) or lbs (pounds).\n* Example: `7.5t` or `7500kg` or `16500lbs`.\n* For Waypoints Sequence only supported unit is kg, without explicitly specifying unit.\n* Applicable for toll cost calculation and truck restrictions.","required":false,"schema":{"type":"string"}},{"name":"width","in":"query","description":"Width of the vehicle and trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: `350cm` or `3.5m` or `138in`. Applicable for truck restrictions. Note that country wide width restrictions depend on the limitedWeight, length, number of axles and trailers as well, so it might be necessary to specify these parameters as well.","required":false,"schema":{"type":"string"}},{"name":"tunnelCategory","in":"query","description":"Defines the tunnel categories the truck must NOT use. Supported values: `B`, `C`, `D` or `E`.\n* `A` tunnels have no restrictions.\n* `E` tunnels have most restrictions.\n* Example: If `&tunnelCategory=C` is specified, then route will use `A` and `B` tunnels but not `C`, `D` or `E`.","required":false,"schema":{"type":"string"}},{"name":"restTimes","in":"query","description":"Used in routeMatch=0|2, to enable driver rest time calculations based on legal drive/rest intervals.\n* In `routeMatch=1` mode the response returns warnings if rest times were not detected.\n* The rest times can be specified by using the parameter _&restTimes=_ followed by one, four, five, six or ten comma separated values (no spaces).\n* Specify `&restTimes=local` (one value) to obey the legal driver rest times of the respective country where route is being traversed.\n* Example with four values: EU regulations requires that after 4.5h a 45min break and after 9h a 11h rest must be taken. This can be specified as `&restTimes=16200,2700,32400,39600` .\n* Alternatively, detailed rest time can be specified using upto ten proprietary comma separated values: _driveShortSec, timeShortSec, restShortSec, driveLongSec, timeLongSec, restLongSec, driveTimeSinceLastShortRestSec, elapsedTimeSinceLastShortRestSec, driveTimeSinceLastLongRestSec, elapsedTimeSinceLastLongRestSec_ .\n* For more detailed information and usage of this parameter, check the developer guide concepts page titled **Legal driver rest times**.'\n* In addition to normal rest time values, one can specify `;earlierRestTimeFactor:0.0`, to take rest times much earlier to reduce travel time (arriving with less legal driving time left), default = 0.75.","required":false,"schema":{"type":"string"}},{"name":"driver_cost","in":"query","description":"Used in routeMatch=0|2. Driver cost per hour in target currency. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary. Default: no driver cost given - no cost per hour optimization.","required":false,"schema":{"type":"string"}},{"name":"restTimeDriverCost","in":"query","description":"Used in routeMatch=0|2. Cost per hour in target currency while driver is taking a legal rest time. Can be between 0 and driver_cost value. Can be used to optimize returned routes in mode routeMatch=0|2 based on cost.","required":false,"schema":{"type":"string"}},{"name":"vehicle_cost","in":"query","description":"Used in routeMatch=0|2. Vehicle cost per kilometer in target currency. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary. Default: no vehicle cost given - no cost per kilometer optimization.","required":false,"schema":{"type":"string"}},{"name":"vehicleCostOnFerry","in":"query","description":"Used in routeMatch=0|2. Vehicle cost per kilometer on ferry in target currency. Default = vehicle_cost. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary.","required":false,"schema":{"type":"string"}},{"name":"costPerConsumptionUnit","in":"query","description":"Used in routeMatch=0|2. The cost of a consumption unit in targetCurrency. Default is 1.","required":false,"schema":{"type":"string"}},{"name":"drivingReport","in":"query","description":"Used in routeMatch=1|2. Parameter to enable the advanced driving analytics / driving reports feature, added to the route match response (routeMatch=1).\n* Set to 1 to enable it, disabled by default.\n* For more information on this parameter and usage, check the developer guide concepts page titled **Advanced driving analytics**.\n\n**Note:** Using this feature will incur an additional transaction.","required":false,"schema":{"type":"string"}},{"name":"ehorizonLimits","in":"query","description":"Used in routeMatch=4 or routeMatch=5. Comma separated list of limitations for extending the electronic horizon path.\n* Format: `limitType:value`\n* Currently supported type is only `length` with value in meter. Example: `length:1000` .\n* For more information on this parameter and usage, check the developer guide concepts page titled **Driver alerts and Electronic Horizon**.\n\n**Note:**This feature is in development and not complete.","required":false,"schema":{"type":"string"}},{"name":"ignoreWaypointVehicleRestriction","in":"query","description":"Used in mode routeMatch=0|2. Restrictions around waypoints can be ignored by setting value as: `radius[;drivePenaltyFactor[;type[;entryPenalty]]]`.\n* For detailed information on this parameter and its usage, please see developer guide concepts page titled **Find a path despite access restrictions**.\n* Example: `&ignoreWaypointVehicleRestriction=5000;1;all;1800` - ignore restrictions within 5 km around waypoints, with an entry penalty of 30 minutes and almost twice the driving time.\n* In mode `routeMatch=1`, a warning is returned if restriction violations are detected.","required":false,"schema":{"type":"string"}},{"name":"adminTruckRestrictions","in":"query","description":"Used in mode routeMatch=0|2. By default all admin wide truck restrictions are obeyed by the algorithm. If value is set to `ignore`, it will ignore them. Admin wide truck restriction violations in mode `routeMatch=1` are reported as warning.","required":false,"schema":{"type":"string"}},{"name":"avoidLinks","in":"query","description":"Used in routeMatch=0|1|2. Route path/sections that should be avoided. Comma separated list of link ids or lat,lon[;heading] coordinates to be avoided.\n* Positive ids are avoided when driving from reference node  (start of link), negative ids are avoided when driving towards reference node  (end of link). Use '*' prefix to avoid both directions.\n* For coordinates, direction of blocking depends on the heading. If no heading given both directions will be avoided.\n* Optionally an entry penalty (applied once while entering the sequence of link(s)) and drive penalty (applied to every link) can be specified individually for each link to be avoided.\n* Format: `linkId[;penalty:entryPenaltySec[:drivePenaltyFactor]]` or `lat,lon[;heading[;penalty:entryPenaltySec[:drivePenaltyFactor]]]`.\n* `entryPenaltySec` should be between -120 and 600 (-ve penalty implies prefer).\n* `drivePenaltyFactor` should be between 0.1 and 20.0 (1.0 implies no penalty, < 1.0 implies prefer).\n* Example: `1308094486;penalty:60:1.5,-1308094485;penalty:2:2.5` or `50.1294,8.57124;185;penalty:60:1.5,50.12937,8.56944;177;penalty:60:1.5`.","required":false,"schema":{"type":"string"}},{"name":"avoidAreas","in":"query","description":"Used in routeMatch=0|1|2. List of areas (rectangles or polygons) to be avoided.\n* Areas are separated by `!` sign.\n* Rectangles can be specified with two diagonal coordinates separated by semicolon. Format: `latitudeNorth,longitudeWest;latitudeSouth,longitudeEast`.\n* Polygons are specified with consecutive vertex coordinates separated by semicolon. Format: `latitude1,longitude1;laitudet2,longitude2;latitude3,longitude3;...` ","required":false,"schema":{"type":"string"}},{"name":"avoidPrivate","in":"query","description":"Used in routeMatch=0|2. Option to use private streets for routing. Supported values: 0|1|-1.\n* Default is '0' - access is allowed if there is a waypoint in a street that is set for private use only.\n* Set it to '1' - always allow access to private streets.\n* Set it to '-1' - always forbid access to private streets.","required":false,"schema":{"type":"string"}},{"name":"avoidCountryChange","in":"query","description":"Only for routeMatch=0. Penalties in seconds to avoid unnecessary waiting time on border crossings.\n* Countries should be specified according to three character ISO 3166 standard.\n* A comma should be used to separate list of multiple avoidChangeCountry on the route.\n* Format: Country code1-Country code2:Penalty in seconds[,Country code1-Country code2:Penalty in seconds]\n* Example: `&avoidCountryChange=DEU-CHE:1200,HRV-SVN:280` - to avoid country change from Germany - Switzerland and from Croatia - Slovenia.","required":false,"schema":{"type":"string"}},{"name":"ignorePreferredRoutes","in":"query","description":"Only for routeMatch=0. Preferred routes for a specific vehicle type are taken by default. To turn if off set ignorePreferredRoutes to true.","required":false,"schema":{"type":"string"}},{"name":"avoidTurns","in":"query","description":"For avoiding difficult turns on the route path.\n* Comma separated list of elements like `left[;minAngleDegree;penaltySec]` or `right[;minAngleDegree;penaltySec]` or `uTurn[;penaltySec]` .\n* If a left or right turn is sharper than the specified angle (between 0 - 180°), then the given time penalty is applied. Example: `&avoidTurns=right;120;200` .\n* If not explicitly specified in parameter, default `minAngleDegree` is set 80° and default `penaltySec` is set to 600 seconds. Example: `&avoidTurns=right` or `&avoidTurns=uTurn` .\n* For avoiding 180° turns to reverse the direction of travel (u-turns) set `uTurn` with penalty between 10 seconds and 600 seconds.  Example: `&avoidTurns=uTurn;300` .\n* Setting the value to `uTurnAtWaypoint` avoids u-turn on the link directly where the waypoint was reached.","required":false,"schema":{"type":"string"}},{"name":"avoidFeatures","in":"query","description":"Used in routeMatch=0|2. Comma separated list of road features to be avoided.\n* Format: featureType[;entryPenalty;drivePenalty].\n* `entryPenalty` in seconds is applied once when the feature is avoided.\n* `drivePenalty` in seconds is applied for each km driven in avoided area.\n* `entryPenalty` and `drivePenalty` are optional. If not specified, default penalty values apply.\n* Currently supported feature type is only: `unpaved` with default `entryPenalty` of 1200 seconds (20 minutes) and `drivePenalty` of 120 seconds (2 minutes per km driven).\n* Example: `unpaved[;300;50]` - Avoids unpaved roads with 300 seconds penalty to enter and 50 seconds/km drive penalty.","required":false,"schema":{"type":"string"}},{"name":"truckVerified","in":"query","description":"Only for routeMatch=0. Make use of truck verified roads for truck routing. Supported values: 0|1|-1.\n* Default is `0` - access is allowed, but truck verified routes are not preferred or avoided.\n* Set to `1` - prefer transport verified roads.\n* Set to `-1` - avoid transport verified roads.","required":false,"schema":{"type":"string"}},{"name":"instructionFormat","in":"query","description":"To choose the maneuver instruction text representation format in response. Supported formats are: `text` or `html`.","required":false,"schema":{"type":"string"}},{"name":"language","in":"query","description":"Language for the maneuver instructions in the response.\n* Currently supported values:  `de-de`, `en-us`, `it-it`, `fr-fr`, `es-es`, `pt-pt`, `pl-pl`, `zh-cn`, `zh-tw`, `zh-hk` and `ja-jp`.\n* If not specified, `en-us` is used.","required":false,"schema":{"type":"string"}},{"name":"routeAttributes","in":"query","description":"Used in routeMatch=0|2. Defines which information is included in the response route part of the calculated route.\n* Defaults to mode (mo), waypoints (wp), summary (sm), flags (fl).\n* Also supported: speedProfile (sp), shape (sh), summaryByCountry (sc), boundingBox (bb), none.\n* All supported route attributes can also be excluded in the response by putting a hyphen in the front. e.g. `-wp` .","required":false,"schema":{"type":"string"}},{"name":"responseAttributes","in":"query","description":"Used in routeMatch=0|1|2, this parameter determines the information included in the response as part of the calculated route..\n* The default value is warnings (wn). Other supported options include language (lg) and none.\n* Any supported response attribute can be excluded by adding a hyphen (-) before it, e.g., `-wn`.","required":false,"schema":{"type":"string"}},{"name":"metaAttributes","in":"query","description":"Used in routeMatch=0|1|2. Defines which information is included in the meta part of the calculated route.\n* Defaults to none. Also supported: version (ver).\n* Supported meta attributes can be excluded in the response by putting a hyphen in the front. e.g. `-ver`","required":false,"schema":{"type":"string"}},{"name":"maneuverAttributes","in":"query","description":"Used in routeMatch=0|1|2. Defines which information is included in the response as part of the data representation of the route maneuvers.\n* Defaults to position (po), length (le), travelTime (tt).\n* Also supported: direction (di), action (ac), indices (ix), lanes (ln), roadName(rn), nextRoadName (nr), beforeAfter (ba) and none.\n* All supported maneuver attributes can be excluded in the response by putting a hyphen in the front. e.g. `-le`","required":false,"schema":{"type":"string"}},{"name":"legAttributes","in":"query","description":"Used in routeMatch=0|1|2. Defines which information is included in the response as part of the route legs.\n* Defaults to links (li), maneuvers (mn), length (le), travelTime (tt), baseTime (bt), trafficTime (tm).\n* Also supported: shape (sh), boundingBox (bb), turnbyturnmaneuvers (mm), none.\n* All supported leg attributes can be excluded in the response by putting a hyphen in the front. e.g. `-mn`.\n* Also in routeMatch=1|2 modes `legAttributes=mn` is supported.","required":false,"schema":{"type":"string"}},{"name":"linkAttributes","in":"query","description":"Used in routeMatch=0|1|2. Defines which information is included in the response for each link in a leg.\n* Defaults to shape (sh), length (le), remainTime (rt), remainDistance (rd), functionalClass (fc), warnings (wn), confidence (cd), segmentRef (sr).\n* Also supported: cost (co), maneuver (ma), timezone (tz), none.\n* All supported link attributes can be excluded in the response by putting a hyphen in the front. e.g. `-rt`","required":false,"schema":{"type":"string"}},{"name":"wayPointHeadingMismatchPenaltyFactor","in":"query","description":"Used in `routeMatch=0|1|2`. The penalty factor can be set from 0 to 100. The higher the value, the more effort is used internally to match waypoints in the given driving direction. Default = 1.","required":false,"schema":{"type":"string"}},{"name":"excludeZoneTypes","in":"query","description":"Only for routeMatch=0, not supported for route matching. Specify if the route may not enter a specific zone type.\n* Currently supported values: `environmental`,`vignette` and `congestionPricing`.\n* If omitted or empty, zone restrictions are not taken into account.","required":false,"schema":{"type":"string"}},{"name":"licensePlate","in":"query","description":"Used for `routeMatch=0|1|2`. Specify the licenseplate of the vehicle, which can influence the permission to drive in certain zones, mostly environmental zones. Environmental zone violations in `routeMatch=1` mode are reported as warning.","required":false,"schema":{"type":"string"}},{"name":"overlays","in":"query","description":"Used for `routeMatch=0|1|2`. Comma separated overlay map name(s). Used to reference towards private or adapted HERE road network attributions.\nIf an overlay is specified, the road network is used and included in the route calculation.\nIf multiple overlays are specified, they are treated as parent-child relationship. For example the parent overlay could contain the road geometry of a yard, then two different child overlays can be used to block certain road stretches dependent on the vehicle attribution.\nOverlay names are case insensitive. Must start with OVERLAY and contain only characters A-Z and numbers 0-9.\n\n**Note:** The `overlays` parameter is deprecated.","required":false,"schema":{"type":"string"}},{"name":"customRestrLimit","in":"query","description":"Used for routeMatch=0|1|2. Comma separated list of key value pairs of custom restriction limits.\n* These custom restriction limits must be first uploaded into a custom road overlay.\n* The key and value of individual custom restriction limit must be numeric and must be separated by colon.\n* Example: `&customRestrLimit=0:10,1:20,2:50` .","required":false,"schema":{"type":"string"}},{"name":"customAttributes","in":"query","description":"Comma separated list of Customer (BYOD) layer names, to get link attributes along the route. Custom layers can be uploaded in the Custom Location Service (also known as CLE) in self-hosting. Format follows the `attribute` parameter. No `FCn` notation supported.","required":false,"schema":{"type":"string"}},{"name":"customConsumptionDetails","in":"query","description":"For mode routeMatch=0|2. Semicolon separated list of speed/ascent/descent/builtupFactor/auxilliaryConsumption fuel consumption parameters.\n* `Speed` is a list of $/km for different speeds.\n* `ascent` and `descent` are additional $/km per altitude climbed or descended.\n* `builtupFactor` is an optional heuristic consumption multiplier for urban area, default value is 1.55.\n* `auxilliaryConsumption` is the additional consumption (per hour) for running auxilliary units (climate control, infotainment, lights, etc.).\n* Cost unit is not $ but one specified in parameter 'currency'.\n* Example: `speed,0,0.102,10,0.084,30,0.066,50,0.06,70,0.066,100,0.072,120,0.084,140,0.108;ascent,0.4;descent,0.1;builtupFactor,1.4`. This means at 70 kph the car consumes 6.6$/100km and 0.4$/km altitude climbed, consumption increases 40% in urban area.\n* Alternatively, user can specify one of the default consumption profile using following supported values: 3.5t, 7.5t, 18t, 40t or weightDependent.\n* If specified as `weightDependent`, consumption profile will be decided based on vehicle weight in parameter `limitedWeight`. So, this parameter also needs to be specified.","required":false,"schema":{"type":"string"}},{"name":"timeout","in":"query","description":"Custom timeout of a request. Processing of the request must be finished within this amount of milliseconds. Default 50000. Maximum 50000.","required":false,"schema":{"type":"string"}},{"name":"waypointN","in":"query","description":"Only for modes routeMatch=0|2. Generic waypoint parameter to indicate the format. For routeMatch=1 trace to be matched should be added as POST body.\n* Waypoints should start with 'waypoint0' and increase in sequence (waypoint1, waypoint2..) to waypointN.\n* A route must consist of at least 2 waypoints (start and destination).\n* The maximum number of waypoints is limited. However, this limit is not a fixed number but is a result of the limit for the overall processing time.\n* Format: latitude,longitude;transitRadius;label;heading[;optional specifications]\n* Set a transit radius to only influence the route to go via a certain city (Example: `&waypoint1=50.12,8.65;10000)`.\n* Set a heading (degree clockwise from North) to improve map matching (Example: `&waypoint0=latitude,longitude;;;140`).\n* To define a loading time or delay time at a waypoint, use stopOver[,timeInSeconds]! (Example: `&waypoint1=stopOver,300!50.12,8.65`).\n* The optional specifications: altitude, custom label, !StreetPosition and !LinkPosition, ignoreRestriction are currently supported.\n* To define a radius around the waypoint where vehicle restrictions should be ignored use optional specification `;ignoreRestriction:radius[,drivePenalty[,type[,entryPenalty]]]`. Example: `&waypoint1=50.12,8.65;ignoreRestriction:8000,0.9,all,1800` .\n* This is similar to the global parameter 'ignoreWaypointVehicleRestriction' which applies to all waypoint. But when specified explicitly for a waypoint, the 'ignoreRestriction' specification of waypoint is applied.","required":true,"schema":{"type":"string"}},{"name":"apikey","in":"query","description":"API key used to authenticate API requests.","required":true,"schema":{"type":"string"}},{"name":"jsonCallback","in":"query","description":"Specifies the function used to wrap the JSON response","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}},"post":{"tags":["Route Matching V8"],"summary":"Match GPS traces to get the most probable driven path. Must use `&routeMatch=1` for default route matching behavior. Compatible with version 2 route matching.","operationId":"matchRouteV8compatibilityToV2POST","parameters":[{"name":"routeMatch","in":"query","description":"For route matching, use parameter value `1`. Used to select the operational mode of the Route Matching algorithm. Supported values are 0|1|2|4.\n* 0 - Default value - DEPRECATED. Computes a legal route that goes through all waypoints. This mode is deprecated. Use HERE Routing API v8 instead.\n* 1 - Route Matching mode - treats waypoints (or a trace file from the POST request body) as a GPS trace and returns the most probable matched route along this trace.\n* 2 - ETA Tracking mode - Available only for POST requests. Computes the route based on the specified waypoints. Additionally, it uses the GPS trace from the request body to detect rest stops or breaks taken by the driver as well as reached or skipped waypoints. To get maneuvers for a matched route, set `&legAttributes=mn`.\n* 4 - eHorizon mode - In development - not feature-complete. Returns an additional eHorizon, which is a configurable path ahead of the calculated or matched route.\n* 5 - Combined mode - This mode combines `routeMatch=1` and `routeMatch=4`.\n\n**Note:** Using ETA Tracking mode triggers an additional transaction - keep in mind for cost tracking.","required":false,"schema":{"type":"string"}},{"name":"mode","in":"query","description":"Vehicle type.\n* Supported vehicle types : bdouble, bicycle, bus, car, carHOV, emergency, motorcycle, pedestrian, roadtrain, taxi, truck.","required":true,"schema":{"type":"string"}},{"name":"legal","in":"query","description":"Used in `routeMatch=1|2`. Enforces a legal route with respect to the following route condition types (comma separated list): access, gate, oneway, thrutraf, turn.\n* access: use links only allowed for the vehicle type (incl. truck measures).\n* gate: don't traverse gates.\n* oneway: don't drive links into forbidden direction.\n* throughTraffic: don't enter/leave 'no through traffic' zones.\n* turn: don't turn/u-turn illegally.\n* Passing all of them yields a legal path as from a route matching perspective.\n* Default value: avoid illegal maneuvers, but use them if the trace obviously contains them. If matched, returns respective warnings.","required":false,"schema":{"type":"string"}},{"name":"traverseGates","in":"query","description":"Used in `routeMatch=0|1|2`. If set to `true`, assumes the driver has keys/permissions to traverse gates.\n* Supported values are: `true`, `false' or `airlineDistanceInMeters,entryPenaltyInSec`.\n* `traverseGates=airlineDistanceInMeters,entryPenaltyInSec` - Only gates within the given airline distance in meters around a waypoint can be traversed. A one-time entry penalty of specified number of seconds is added to the internal cost calculation of the route. \n* `entryPenaltyInSec` must be between 0 and 2 hours (7200 sec).\n* `entryPenaltyInSec` can be used to tune the algorithm to either choose passing through the gate or use potential alternative road ways to reach destinations behind a gate.\n* Default value: `false` - don't traverse any gates unless vehicle type is `emergency`. `* Gate traversal violation in routeMatch=1 mode are reported as warning.","required":false,"schema":{"type":"string"}},{"name":"oneway","in":"query","description":"Used in `routeMatch=0|2`. Allows to control oneway traffic violation behavior. Default - obey all oneways.\n* This parameter is supported only for vehicle types `bicycle` or `emergency`.\n* Format - `penalty:penaltyFactor`,. `penalty:0.5` - allows oneway traffic violation if the time benefit is more than 0.5 second/meter.\n* For bicycle recommended `penaltyFactor` value 0.125, for emergency 0.5.\n* Oneway traffic violations in `routeMatch=1` mode are reported as warnings.","required":false,"schema":{"type":"string"}},{"name":"mapMatchRadius","in":"query","description":"Maximum adaptive map match search radius (in meters) that will be applied to each waypoint.\n* If specified, overrides the `transitRadius` value set for waypoints and the default maximum adaptive search radius.\n* For routing (`routeMatch=0`), the default value is: 1600m, max limit is 5000m.\n* In `routeMatch=1` mode this parameter can be used to configure the radius that is used to match trace points to the road network, with the default value of 300m and the max limit of 10000m.","required":false,"schema":{"type":"string"}},{"name":"attributes","in":"query","description":"Comma-separated list of Map Attributes layer names used to get additional attributes along the route.\n* Only link-based attribute layers (roughly those ending in _FC1, _FC2, etc. and _FCn) are supported.\n* Specify layer with `_FCn` (like `SPEED_LIMITS_FCn`), to get content from respective functional class layer corresponding to the link.\n* After each layer name, comma separated list of individual layer attributes can be listed within brackets. Use an asterisk (*) to get all layer attributes.\n* Example: `&attributes=LINK_ATTRIBUTE_FCn(*),ROAD_GEOM_FCn(TUNNEL),SPEED_LIMITS_FCn(FROM_REF_SPEED_LIMIT,TO_REF_SPEED_LIMIT)`.\n* A maximum of 32 layers can be requested at once.","required":false,"schema":{"type":"string"}},{"name":"tollVehicleType","in":"query","description":"Vehicle type for toll calculation.\n* Supported values: 1 - Motorcycle, 2 - Auto, 3 - Truck, 4 - Motor home, 5 - Minibus, 6 - Bus, 7 - Motorcycle Sidecar(EU), 8 - Tricycle(EU), 9 - Delivery Truck(EU+India), 10 - Snowmobile(US), 11 - Pick-up (US+India), 12 - Tractor (US+India), 13 = Taxi, 14 - HCM/EME (Heavy Construction Machinery/Earth Moving Equipment - India)\n* Use if applicable toll should also be calculated for the route in routeMatch=0|2 mode.\n* Or use if applicable toll should be calculated for the matched route in routeMatch=1 mode.","required":false,"schema":{"type":"string"}},{"name":"rollups","in":"query","description":"Used in `routeMatch=0|1|2`. Comma separated list of rollups (groupings, aggregation levels) for the toll cost response. Currently supported values are:\n* `none` - toll cost details per link,\n* `total` - overall total toll cost only,\n* `tollsys` - toll cost summary per toll system,\n* `country` - summary per country,\n* `country;tollsys` - summary per country and toll system.\n* Example: `&rollups=none,country;tollsys,country` - returns the individual link level cost details and two different summaries.","required":false,"schema":{"type":"string"}},{"name":"tollPass","in":"query","description":"Used in routeMatch=0|1|2. Comma separated list of owned passes for toll cost calculation.\n* Allows traversal of 'transponder-only' toll booths, allows cost free traversal of certain toll sections and allows using cheaper prices for transponder/pass owners.\n* Supported values: `Senior_Pass`, `transponder` (meaning the vehicle has all transponders), `allPasses` (has all required passes), `Annual` (meaning the vehicle has all annual passes), `Nr_of_Days` (has all passes valid for number of days), `Nr_of_Months` (has all passes valid for number of months), `AutoPass`, `SunPass`, `E-Z Pass` (last 2 are examples for real toll transponders).\n* Can also list toll system ids or toll booth condition ids.","required":false,"schema":{"type":"string"}},{"name":"currency","in":"query","description":"Three letter ISO currency symbol. Required if toll cost must be added up across different currencies and/or be added to driver/vehicle/fuel cost in different currencies.","required":false,"schema":{"type":"string"},"example":"USD"},{"name":"departure","in":"query","description":"Specifies the time of departure for routeMatch=0|2.\n* Format: `now` or `yyyy-MM-dd'T'HH:mm:ss` or `yyyy-MM-dd'T'HH:mm:ssX`.\n* Example: `&departure=now` or `&departure=2024-10-27T11:52:50`\n* If no timezone is specified, then the local timezone at the route start link is used.\n* In routeMatch=2, the departure time for the route part is replaced by the last available GPS time from the trace.\n* If no departure parameter is set, all time dependent access restrictions are ignored.","required":false,"schema":{"type":"string"}},{"name":"arrival","in":"query","description":"Only applicable when routeMatch=0. Format like parameter `departure`.\n* If an arrival time is specified, the estimated departure time of a journey is returned in the response.\n* Does not work if a departure time is specified in addition.\n* Note that toll cost is not considered when arrival time is specified.","required":false,"schema":{"type":"string"},"example":"2022-11-16T12:54:14+10"},{"name":"trafficIncidents","in":"query","description":"Used in routeMatch=0|2. Set to `true` or `false`, to enable/disable usage of traffic incidents for route estimation for complete length of the route. Default is `false` - traffic incidents are disabled.\n\n**Note:** Usage of traffic incidents will impact the routing response time, so use only if necessary.","required":false,"schema":{"type":"string"}},{"name":"maxSpeed","in":"query","description":"Used in routeMatch=0|1|2. Maximum speed allowed for the whole route.\n* Supported units are kmh (kilometres per hour), mph (miles per hour) and mps (metres per second).\n* If no unit is provided, kmh will be used as default unit.\n* Examples: `&maxSpeed=90` or `&maxSpeed=90kmh` or `&maxSpeed=55.92mph` or `&maxSpeed=25mps` .","required":false,"schema":{"type":"string"}},{"name":"alternatives","in":"query","description":"Only for routeMatch=0. Maximum number of alternative route options to return. Can return less or no alternatives. Only returns route alternatives that significantly differ from the best route but are not much more costly.","required":false,"schema":{"type":"string"}},{"name":"alignToGpsTime","in":"query","description":"Only for routeMatch=1|2. Route matching aligns the driving time to the GPS timestamps in trace (if available). Supported values: 0|1. This feature is enabled by default (1), set the value 0 to disable it.","required":false,"schema":{"type":"string"}},{"name":"speedFcCat","in":"query","description":"Used in routeMatch=0|2. Comma-separated list of speeds in km/h driven per functional road class (1-5 + Virtual Connections VC) and speed category (1-8), for example, FC1-SC1,FC1-SC2,...,FC1-SC8;FC2-SC1,FC2-SC2,...;...;VC-SC1,FC-SC2,...VC-SC8.\n* Functional classes are semicolon-separated.\n* Can contain empty entries when there is no change 
[...]
